# Generated by Django 2.2.12 on 2020-04-21 07:04

from django.db import migrations, models
import django_models_ext.fileext
import jsonfield.fields
import shortuuidfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='GoodsInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('good_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='商品唯一标识', max_length=22, null=True, unique=True)),
                ('title', models.CharField(blank=True, help_text='商品名称', max_length=32, null=True, verbose_name='title')),
                ('image', models.ImageField(blank=True, help_text='商品图片', null=True, upload_to=django_models_ext.fileext.upload_path, verbose_name='image')),
                ('intro', models.TextField(blank=True, help_text='商品简介', null=True, verbose_name='intro')),
                ('price', models.IntegerField(default=0, help_text='商品价格(分)', verbose_name='price')),
            ],
            options={
                'verbose_name': '商品信息',
                'verbose_name_plural': '商品信息',
            },
        ),
        migrations.CreateModel(
            name='PackGoodsInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('pack_id', models.CharField(blank=True, db_index=True, help_text='包唯一标识', max_length=32, null=True, verbose_name='pack_id')),
                ('good_id', models.CharField(blank=True, db_index=True, help_text='商品唯一标识', max_length=32, null=True, verbose_name='good_id')),
            ],
            options={
                'verbose_name': '包-商品信息',
                'verbose_name_plural': '包-商品信息',
            },
        ),
        migrations.CreateModel(
            name='PackGoodsSaleInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('pack_id', models.CharField(blank=True, db_index=True, help_text='包唯一标识', max_length=32, null=True, verbose_name='pack_id')),
                ('user_id', models.CharField(blank=True, db_index=True, help_text='用户唯一标识', max_length=32, null=True, verbose_name='user_id')),
                ('saleinfo', jsonfield.fields.JSONField(blank=True, default=[], help_text='商品销售信息', null=True, verbose_name='saleinfo')),
            ],
            options={
                'verbose_name': '包-商品-销售信息',
                'verbose_name_plural': '包-商品-销售信息',
            },
        ),
        migrations.CreateModel(
            name='PackInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.BooleanField(db_index=True, default=True, help_text='Status', verbose_name='status')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='Create Time', verbose_name='created_at')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='Update Time', verbose_name='updated_at')),
                ('pack_id', shortuuidfield.fields.ShortUUIDField(blank=True, db_index=True, editable=False, help_text='包唯一标识', max_length=22, null=True, unique=True)),
                ('kol_id', models.CharField(blank=True, db_index=True, help_text='KOL 唯一标识', max_length=32, null=True, verbose_name='kol_id')),
            ],
            options={
                'verbose_name': '包信息',
                'verbose_name_plural': '包信息',
            },
        ),
    ]
